Известные сложности и проблемы с WordPress 3.9

Дата публикации:Апрель 18, 2014

После выпуска WordPress 3.9 я решил обратиться к форумам поддержки пользователей, поскольку они обычно становятся пристанищем вопросов от разных людей. Обеспечение поддержки на форумах WordPress.org позволяет получить ясную индикацию того, насколько хорошим получился релиз, а также было ли сломано что-то важное. Потратив пять часов на изучение форума поддержки, я решил выбрать самые общие вопросы, с которыми столкнулись пользователи.

Визуальный редактор исчез или сломался

Многочисленные пользователи сообщили о том, что визуальный редактор либо совсем пропал, либо его представление стало нарушенным. В этом нет ничего удивительного, учитывая то количество изменений, которые затронули TinyMCE в 3.9. В большинстве случаев проблему можно решить следующим путем:

  1. Деактивировать все плагины.
  2. Переключиться на дефолтную тему TwentyFourteen.
  3. Вручную очистить кэш браузера

Если визуальный редактор не работает даже после отключения всех плагинов и переключения на стандартную тему, то проблема, возможно, кроется в JavaScript. Выполните следующие действия, чтобы диагностировать JS-ошибки в браузере. Затем откройте новую тему на форуме и укажите в ней следующую информацию:

  • Браузер, в котором появилась проблема
  • Исправляет ли SCRIPT_DEBUG ошибку или нет
  • Ошибку JavaScript
  • Расположение ошибки – имя файла и номер строки
  • Контекст ошибки, чтобы разработчики смогли оперативно с ней справиться

Данная информация поможет модераторам найти лучший способ, чтобы решить вашу проблему.

Список известных проблем

Темы и плагины, которые могут выступать корнем проблем, описаны и добавлены к общему списку проблем в WordPress 3.9. На данный момент список плагинов расширен до 8, и как минимум один из них уже был исправлен.

  • MailPoet Newsletters – проблема с устаревшим TinyMCE плагином в версии 2.6.3. Отключение плагина исправляет проблему с визуальным редактором. MailPoet уже работают над заплаткой, которая позволит справиться с данной проблемой в следующих версиях 2.6.4 и 2.6.5.
  • ZipList Recipe Plugin – версия 2.2 имеет проблемы с редактором записей как в визуальном, так и в текстовом режимах.
  • Zedity – версия 3.1.0 приводит к поломке визуального редактора.
  • Enhanced Media Library – версия 1.0.4 не выводит медиа-файлы в медиа-библиотеке, когда вы щелкаете по кнопке Add Media.
  • SoundCloud Is Gold – версия 2.2.1 отключает визуальный редактор и не дает ввести текст.
  • Ultimate NoFollow – версия 1.4.1 не позволяет вставлять ссылки в визуальный редактор
  • Admin Tweaks – версия 2.3.8 приводит к тому, что визуальный редактор становится невидимым
  • Qtranslate – версия 2.5.39 приводит к проблемам с загрузкой медиа-файлов

Команда поддержки старается приложить все усилия, чтобы пользователи не сталкивались с проблемами в WordPress, вне зависимости от того, какие плагины или темы вызывают их. Однако из-за большого разнообразия существующих тем и плагинов практически невозможно знать все ошибки и методы их решения. Самый лучший вариант заключается в том, чтобы связаться с разработчиками для поддержки. За поддержкой всегда лучше отправляться на официальные сайты/форумы.

Как создать аудио плейлист

Некоторые пользователи задали вопрос, где находится ссылка на создание аудио плейлиста. Чтобы увидеть ссылку на создание аудио плейлиста, вам нужно сначала добавить аудио файлы в медиа библиотеку. Стоит отметить, что если вы размещаете свои медиа-файлы в сети CDN, которая не синхронизируется с медиа библиотекой WordPress, то в таком случае вы не сможете применять возможность создания плейлиста.

Простой способ добавления границ и отступов к изображениям

Несмотря на то что в WordPress 3.9 было усовершенствовано редактирование медиа файлов, это произошло за счет удаления некоторых важных функций. В WordPress 3.8 пользователи могли легко добавлять границы, вертикальные и горизонтальные отступы к изображениям. В WordPress 3.9 все это было удалено с экрана расширенных параметров изображения.

advsettings

Опечалены данным изменением не только люди, которые используют автономные версии WordPress. Лента форума поддержки WordPress.com с более чем 430 записями забита обращениями пользователей, недовольных тем, что данная функция была удалена. В некоторых случаях люди из WordPress.com объясняют, как использовать HTML-код для добавления или удаления границ у изображений. Возможно, что в ближайшем будущем появится плагин, который восстановит данный функционал.

Будьте терпеливыми, когда обращаетесь в поддержку

Поскольку WordPress 3.9 – главное обновление, пожалуйста, будьте терпеливыми при обращении в поддержку. Следующее руководство в Кодексе позволяет понять, как получить ответ на свой вопрос. Наконец, что не менее важно, если волонтер помогает вам решить проблему, обязательно говорите слова благодарности. В процессе своего пятичасового марафона по вопросам поддержки я обнаружил, что оказание поддержки – неблагодарное занятие. Чтение слов благодарности, а также проявление радости пользователями от решенных проблем помогло мне получить мотивацию, чтобы дальше помогать людям.

Я рекомендую вам потратить 15-20 минут, чтобы изучить форум поддержки пользователей и помочь людям найти ответы на вопросы. Вы получите лучшее понимание того, с какими проблемами сталкиваются пользователи, и сможете многое понять из данного процесса. Спасибо всем, кто потратил свое время на решение вопросов на форумах поддержки.

Источник: wptaverm.com

24 комментариев

  1. А у меня сегодня WP автообновился до 3.7.3! Хотя говорили, что для 3.7 обновлений не будет после выхода 3.9

    «Я рекомендую вам потратить 15-20 минут, чтобы изучить форум поддержки пользователей и помочь людям найти ответы на вопросы.»…

    Знаете, я на основе опыта пришел к следующей мысли: всё новое требует времени на адаптацию и изучение (помимо всего прочего могут возникнуть разные проблемы, которые отнимут еще больше времени). Время это ресурс. Если можно его не тратить на исправление и изучение новых инструментов, то лучше его не тратить и использовать старый инструмент, который и так работает. Ведь инструмент это просто инструмент, а не цель. Если есть вилка или ложка и она работает и выполняет свою цель, то какая разница, что появились обновленные ложки или палочки для еды, если она выполняет своё предназначение, можно пользоваться ей сколь угодно долго не тратя времени на обучение еде палочками.

    • Дмитрий Алёшин says:

      С одной стороны, не могу не согласиться с вами, действительно, если инструмент работает, то нет никакого смысла искать ему замену или пытаться ломать привычный поток операций, к которому уже «набил руку», в угоду модернизации, тем более, что потом можно прийти к такой ситуации, что половина старых плагинов перестанет работать. Если сайт связан с бизнесом, то такой расклад грозит потерей прибыли — или, как минимум, поиском новых решений, способных заменить старые, что, опять же, упирается во время.

      С другой стороны, стоять постоянно на старом не получится. Когда-то наступит такой момент, что придется обновляться. Интернет-область очень быстро развивается, и использовать старые продукты означает поставить себя под удар. Все равно все эти известные дыры безопасности со временем копятся, их становится все больше и больше, и не хочется, чтобы любой школьник, прочитавший пару статей, мог с легкостью положить сайт просто в угоду своим каким-то желаниям потешить собственное самолюбие. Да, сейчас обновления безопасности выпускаются и под старые версии, но если этот процесс прекратится, то мы останемся со «старым корытом», которое можно будет проломить пальцем, даже особо не стараясь. И все равно когда-то наступит момент, когда придется обновляться. Растения тоже когда-то выходили на сушу в процессе эволюции :)

  2. Обновляться кстати не всегда необходимо. Знаю успешные посещаемые блоги в которых стоят уже много лет древнейшие необновляемые версии wp. Так что это не такая уж необходимость, как нам пытаются внушить статьи, от людей и журналов, работающих на automattic — они то напрямую заинтересованы в том, чтобы люди обновлялись, иначе у них просто не будет работы. Или вот полно древнейших форумов на phpbb2.0 (это уже лет 10 прошло с его выпуска), которые работают 10 лет без всяких обновлений и никто их не взломал.

    Обновляться необходимо лишь в том случае, когда это действительно объективно необходимо. Например сайту нужен новый функционал, который присутствует только в каком-то новом плагине под новую версию и под старую ничего не найти. Если никаких новых функций сайту не нужно, то обновление тоже вряд ли так уж необходимо.

    Для защиты от взлома нужно ставить соответствующие плагины, вот и всё. И почти все дыры безопасности — это не дыры ядра wp, а дыры, которые идут вместе с низкокачественными плагинами.

  3. Но главное то — время, время! Сколько его можно потратить на каждое обновление и привыкание. Если всё посчитать и суммировать, его может оказаться очень много. Обновляться конечно можно, но не так часто, как этого хотят от нас. По реальной необходимости.

    • И дыры в головах тех, кто при установке не меняет логин и ставит наипростейший пароль. Часто приходится бывать внутри чужих сайтов и блогов и почти в половине случаев логин — admin
      А потом говорят, что вордпресс лидирует по числу взломов, да как ему не лидировать если логин админ а пароль — день рождения )))

  4. vovasik says:

    Плагин Q2W3 Yandex Speller тоже ломает визуальный редактор

    • volzankin says:

      Подтверждаю, только после отлючения Q2W3 Yandex Speller снова заработал визуальный редактор. Рецептов по починке как и рабочих аналогов пока не обнаружено, к сожалению, остается только ждать по плагин не обновится.

      • Дмитрий Алёшин says:

        Да, но плагин уже достаточно давно не обновлялся… Вот что удручает.

  5. Дуо says:

    И туда же WPML. Использующие WPML — обновление 3.9 покамест не для вас! Поддержка плагина отписалась, что до праздников ничего чинить не будут. Потом :)

  6. uglion says:

    Так и где же простой способ добавления границ и отступов к изображениям? Бдин, знал бы, что там такая засада, так лучше бы не обновлялся.

    • Дмитрий Алёшин says:

      Сейчас по этому вопросу идут дискуссии на WordPress.com. Читайте свежую новость!

  7. Пропал редактор, испробовал всё что только можно, перерыл весь интернет и только в конце своих поисков заглянул на хостинг, просто глянуть, что там у меня в настройках, ну типа там волшебные кавычки может или что-то ещё Вроде всё нормально, и под конец случайно обратил внимание на версию PHP — 5.3 поменял на 5.4 и редактор снова на своем месте

  8. xsacha says:

    У кого проблемы с редактором в плане не хватки функционала, рекомендую всем Tinymce Advanced, работает с WP3.9 проверено.

  9. «В WordPress 3.9 все это было удалено с экрана расширенных параметров изображения.»
    Это очень опечалило… Зачем было нужно удалять полезный функционал для вёрстки, как-то не радует перспектива ставить костыль в виде плагина для настройки параметров изображения. Хоть назад отползай… (((

  10. Скажите а если вордпрес вообще ни когда не обновлять, чем это черевато?
    Мой ресурс весьма молодой ему два месяца, но уже вышел новый вордпрес 3,9 я его не обновляю. Можно ли вообще не обновлять ни движок не плагины?

    • Можно конечно, ничем не чревато, если поставить какой-нибудь плагин для защиты от атак, типа Better WP Security.
      Я например не обновлялся с 3.7 и пока не собираюсь, т.к. всё устраивает и даже новые плагины и темы все работают нормально со старой версией.

  11. На последней версии вордпресс медиафайлы вообще не работают,что-то тут разработчики намудрили

    • Дмитрий Алёшин says:

      Должно все работать. Возможно, что какие-то плагины конфликтуют.

  12. В новой версии wordpress поймал конфликт, со старыми плагинами, в особенности all in one seo pack. Ну да ладно. Плагин кстати такой есть котрый позволяет добавить границы называется он Advanced Image Styles

    • Дмитрий Алёшин says:

      Сейчас уже да, имеется. Да и большая часть проблем уже с плагинами решена.

  13. У меня в хроме ингода изчезает с админки некоторые слова и подзаголовки, они становятся белыми, виндовс переустанавливал — не помогло.

    • Дмитрий says:

      Попробуйте последнюю версию Chrome поставить, а также потестируйте в разных браузерах. Если проблема не исчезнет, то тогда, скорее всего, надо будет переставлять WordPress, потому что, скорее всего, какая-то проблема в самой CMS — может быть, криво поставилась на сервер или еще что-то.

Оставить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *